Update badge custom field

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to update the custom field of the badge.

👍

Note

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call.

Example request

curl --location --request PUT 'https://eu.api.capillarytech.com/api_gateway/v1/badges/customField/6995bc2a306bcf780036c094' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Basic bWFkaHVjU2YQ==' \
--header 'Cookie: _cfuvid=.WgVCi5zQoIGi4K1C9BdZuw_u5XdPxOmzWrvi.sO9xA-1771420714759-0.0.1.1-604800000' \
--data '{
    "name": "CF32 date",
    "isMandatory": false,
    "defaultValue": "cgvhjb",
    "isActive": true,
    "dataType": "STRING"
}'

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URI/api_gateway/v1/badges/customField/{customFieldId}
HTTP methodPUT
Pagination supportedNo
Rate limitNA
Batch supportNA

Request path parameter

Parameter NameData TypeDescription
customFieldIdStringUnique ID of the custom field.

Request body parameters

Parameter NameData TypeDescription
name*StringName of the custom field.
isMandatoryBooleanIndicated if the custom field is mandatory.
defaultValueStringDefault values assigned to the custom field.
isActiveBooleanIndicates if the custom field is active or not.
dataType*EnumData type of the custom field. Supported values: INTEGER, BOOLEAN, DATE, STRING
{
    "name": "CF32 date",
    "isMandatory": false,
    "defaultValue": "cgvhjb",
    "isActive": true,
    "dataType": "STRING"
}

Example response

{
    "data": {
        "id": "6995bc2a306bcf780036c094",
        "orgId": 100737,
        "name": "CF32 date",
        "isMandatory": false,
        "defaultValue": "cgvhjb",
        "isActive": true,
        "dataType": "STRING",
        "createdOn": 1771420714.676000000,
        "createdOnISO": "2026-02-18T13:18:34Z",
        "createdBy": 75197372,
        "lastUpdatedOn": 1771496603.009298000,
        "lastUpdatedOnISO": "2026-02-19T10:23:23Z",
        "lastUpdatedBy": 75197372
    },
    "errors": [],
    "warnings": []
}

Response parameters

Parameter NameData TypeDescription
idStringThe unique identifier of the custom field.
orgIdIntegerThe org ID the custom field belongs to.
nameStringThe name of the custom field.
isMandatoryBooleanIndicates if the custom field is mandatory.
defaultValueStringThe default value of the custom field.
isActiveBooleanIndicates if the custom field is active.
dataTypeEnumThe data type of the custom field's value.
createdOnDateThe timestamp when the custom field was created.
createdOnISOString

The timestamp when the custom field was created, in ISO 8601 format, returned in the server time zone.

EU server example 2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example 2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

createdByIntegerThe identifier of the user who created the custom field.
lastUpdatedOnDateThe timestamp when the custom field was last updated.
lastUpdatedOnISOString

The timestamp when the custom field was last updated, in ISO timestamp format.

The timestamp when the custom field was last updated, in ISO 8601 format, returned in the server time zone.

EU server example 2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example 2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

lastUpdatedByIntegerThe identifier of the user who last updated the custom field.
errorsArrayA list of errors if any.
warningsArrayA list of warnings if any.

Error codes

Error codeDescription
745Custom Field default value should be a Boolean
744Custom Field default value should be a number
746Custom Field data type cannot be changed
Path Params
string
required
Body Params
string
required
string
string
string
string
enum
required
Allowed:
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json